
//app specific lua code we want to include now so they'll be system wide
RunScript("main_menu.lua");
RunScript("game.lua");
RunScript("passed.lua");

//GetApp:SetScreenSize(800, 600); //if we wanted to force the screen res
GetGameLogic:InitGameGUI("game_gui/standard.xml");

if (not g_isDebug) then
	//if not in debug mode, use a profile to save the unlocked level data.  To edit menus and such, we must load with
	//the -debug parm
	GetGameLogic:SetUserProfileName("default"); //this clears all maps from mem
end
	
SetupMainMenu();

//deal with what happens when escape is hit
GetInputManager:AddBinding("escape", "OnKeyEscape", C_ENTITY_NONE);

function OnKeyEscape(bKeyDown)

  if (bKeyDown) then
	
		return DefaultEscapeHandler(); //defined in base's misc_utils.lua
	end

	return false; //don't process any other callbacks for this keypress
end


